Bug 604922 - Incorrect GPL file in fedora-release
Incorrect GPL file in fedora-release
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: fedora-release (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 605378 766008
  Show dependency treegraph
 
Reported: 2010-06-16 22:26 EDT by Richard Fontana
Modified: 2014-08-25 20:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 605378 (view as bug list)
Environment:
Last Closed: 2010-06-17 15:18:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Fontana 2010-06-16 22:26:53 EDT
Description of problem:

fedora-release includes a GPL license file that contains the following header:

*****************************************************************************
The following copyright applies to the Fedora compilation and any 
portions of Fedora it does not conflict with. Whenever this
policy does conflict with the copyright of any individual portion of Fedora,
it does not apply.

*****************************************************************************

This is based on similar language that was in the GPL text included with RHL releases (note the pre-21st century free software use of "copyright" to mean "copyright license"). The text can be read as suggesting that any GPLv2-compatible parts of Fedora are somehow relicensed under GPLv2, which is not the policy of Red Hat or the Fedora Project. The FSF address information is also out of date.

This file should be replaced with the standard current GPLv2 text maintained by the FSF at: http://www.gnu.org/licenses/gpl-2.0.txt
Comment 1 Jesse Keating 2010-06-17 15:18:14 EDT
Fixed upstream, will be in the next build of fedora-release.

Note You need to log in before you can comment on or make changes to this bug.